Debian Bug report logs - #673164
hyperestraier: FTBFS[!linux]: /bin/bash: /usr/java/bin/javac: No such file or directory

version graph

Package: src:hyperestraier; Maintainer for src:hyperestraier is KURASHIKI Satoru <lurdan@gmail.com>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 16 May 2012 14:51:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version hyperestraier/1.4.13-4

Fixed in version hyperestraier/1.4.13-5

Done: KURASHIKI Satoru <lurdan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#673164; Package src:hyperestraier. (Wed, 16 May 2012 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>. (Wed, 16 May 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: hyperestraier: FTBFS[!linux]: /bin/bash: /usr/java/bin/javac: No such file or directory
Date: Wed, 16 May 2012 16:51:46 +0200
Package: src:hyperestraier
Version: 1.4.13-4
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make[1]: Leaving directory `/build/buildd-hyperestraier_1.4.13-4-kfreebsd-amd64-n8scIZ/hyperestraier-1.4.13/rubynative19'
perl -p -i -e 's@^#! /usr/bin/ruby1\.8 -w@#! /usr/bin/ruby1.9.1 -w@' rubynative19/estcmd.rb
cd javapure && /usr/bin/make
make[1]: Entering directory `/build/buildd-hyperestraier_1.4.13-4-kfreebsd-amd64-n8scIZ/hyperestraier-1.4.13/javapure'
/usr/java/bin/javac -d . Document.java Condition.java ResultDocument.java NodeResult.java Node.java Utility.java Call.java
/bin/bash: /usr/java/bin/javac: No such file or directory
make[1]: *** [estraierpure.jar] Error 127
make[1]: Leaving directory `/build/buildd-hyperestraier_1.4.13-4-kfreebsd-amd64-n8scIZ/hyperestraier-1.4.13/javapure'
make: *** [build-arch-stamp] Error 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=hyperestraier&arch=kfreebsd-amd64&ver=1.4.13-4&stamp=1336822375

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, KURASHIKI Satoru <lurdan@gmail.com>:
Bug#673164; Package src:hyperestraier. (Mon, 04 Jun 2012 22:24:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Satoru KURASHIKI <lurdan@gmail.com>:
Extra info received and forwarded to list. Copy sent to KURASHIKI Satoru <lurdan@gmail.com>. (Mon, 04 Jun 2012 22:24:33 GMT) Full text and rfc822 format available.

Message #10 received at 673164@bugs.debian.org (full text, mbox):

From: Satoru KURASHIKI <lurdan@gmail.com>
To: debian-bsd@lists.debian.org, 673164@bugs.debian.org
Subject: Re: Bug#673164: hyperestraier: FTBFS[!linux]: /bin/bash: /usr/java/bin/javac: No such file or directory
Date: Tue, 5 Jun 2012 07:22:28 +0900
hi,

On Wed, May 16, 2012 at 11:51 PM, Christoph Egger <christoph@debian.org> wrote:
> Your package failed to build on the kfreebsd-* buildds:
>
> make[1]: Leaving directory `/build/buildd-hyperestraier_1.4.13-4-kfreebsd-amd64-n8scIZ/hyperestraier-1.4.13/rubynative19'
> perl -p -i -e 's@^#! /usr/bin/ruby1\.8 -w@#! /usr/bin/ruby1.9.1 -w@' rubynative19/estcmd.rb
> cd javapure && /usr/bin/make
> make[1]: Entering directory `/build/buildd-hyperestraier_1.4.13-4-kfreebsd-amd64-n8scIZ/hyperestraier-1.4.13/javapure'
> /usr/java/bin/javac -d . Document.java Condition.java ResultDocument.java NodeResult.java Node.java Utility.java Call.java
> /bin/bash: /usr/java/bin/javac: No such file or directory
> make[1]: *** [estraierpure.jar] Error 127
> make[1]: Leaving directory `/build/buildd-hyperestraier_1.4.13-4-kfreebsd-amd64-n8scIZ/hyperestraier-1.4.13/javapure'
> make: *** [build-arch-stamp] Error 2
>
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=hyperestraier&arch=kfreebsd-amd64&ver=1.4.13-4&stamp=1336822375

Upstream makefile had dropped support for gcj, so I will drop architectures
don't have openjdk from building java bindings.

http://anonscm.debian.org/gitweb/?p=collab-maint/hyperestraier.git;a=commit;h=34128c829714e52457e51d13453ef6a78d38668d

(This will be uploaded after dealing with hardening build flag issues.)

regards,
-- 
KURASHIKI Satoru




Reply sent to KURASHIKI Satoru <lurdan@gmail.com>:
You have taken responsibility. (Wed, 04 Jul 2012 18:33:10 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 04 Jul 2012 18:33:10 GMT) Full text and rfc822 format available.

Message #15 received at 673164-close@bugs.debian.org (full text, mbox):

From: KURASHIKI Satoru <lurdan@gmail.com>
To: 673164-close@bugs.debian.org
Subject: Bug#673164: fixed in hyperestraier 1.4.13-5
Date: Wed, 04 Jul 2012 18:32:26 +0000
Source: hyperestraier
Source-Version: 1.4.13-5

We believe that the bug you reported is fixed in the latest version of
hyperestraier, which is due to be installed in the Debian FTP archive:

hyperestraier_1.4.13-5.debian.tar.gz
  to main/h/hyperestraier/hyperestraier_1.4.13-5.debian.tar.gz
hyperestraier_1.4.13-5.dsc
  to main/h/hyperestraier/hyperestraier_1.4.13-5.dsc
hyperestraier_1.4.13-5_amd64.deb
  to main/h/hyperestraier/hyperestraier_1.4.13-5_amd64.deb
libestraier-dev_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier-dev_1.4.13-5_amd64.deb
libestraier-java_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier-java_1.4.13-5_amd64.deb
libestraier-perl_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier-perl_1.4.13-5_amd64.deb
libestraier-ruby-doc_1.4.13-5_all.deb
  to main/h/hyperestraier/libestraier-ruby-doc_1.4.13-5_all.deb
libestraier-ruby1.8_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier-ruby1.8_1.4.13-5_amd64.deb
libestraier-ruby1.9.1_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier-ruby1.9.1_1.4.13-5_amd64.deb
libestraier-ruby_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier-ruby_1.4.13-5_amd64.deb
libestraier8_1.4.13-5_amd64.deb
  to main/h/hyperestraier/libestraier8_1.4.13-5_amd64.deb
ruby-hyperestraier-doc_1.4.13-5_all.deb
  to main/h/hyperestraier/ruby-hyperestraier-doc_1.4.13-5_all.deb
ruby-hyperestraier_1.4.13-5_amd64.deb
  to main/h/hyperestraier/ruby-hyperestraier_1.4.13-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673164@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
KURASHIKI Satoru <lurdan@gmail.com> (supplier of updated hyperestraier package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 05 Jun 2012 19:35:05 +0900
Source: hyperestraier
Binary: hyperestraier libestraier8 libestraier-dev ruby-hyperestraier ruby-hyperestraier-doc libestraier-ruby libestraier-ruby1.8 libestraier-ruby1.9.1 libestraier-ruby-doc libestraier-java libestraier-perl
Architecture: source amd64 all
Version: 1.4.13-5
Distribution: unstable
Urgency: medium
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Changed-By: KURASHIKI Satoru <lurdan@gmail.com>
Description: 
 hyperestraier - full-text search system for communities
 libestraier-dev - full-text search system Libraries [development]
 libestraier-java - Hyper Estraier Node API Libraries for Java
 libestraier-perl - Hyper Estraier node API Libraries for Perl
 libestraier-ruby - Hyper Estraier Node API Libraries for Ruby (transitional package)
 libestraier-ruby-doc - Hyper Estraier Node API Libraries for Ruby doc (transitional pack
 libestraier-ruby1.8 - Hyper Estraier Node API Libraries for Ruby 1.8 (transitional pack
 libestraier-ruby1.9.1 - Hyper Estraier Node API Libraries for Ruby 1.9.1 (transitional pa
 libestraier8 - full-text search system Libraries [runtime]
 ruby-hyperestraier - Hyper Estraier Node API Libraries for Ruby
 ruby-hyperestraier-doc - Hyper Estraier Node API Libraries for Ruby (documentation)
Closes: 673164
Changes: 
 hyperestraier (1.4.13-5) unstable; urgency=medium
 .
   * Stop building Java binding in some archs as FTBFS workaround.
     This will be reverted when openjdk be available. (Closes: #673164)
   * Apply hardening build flags.
   * debian/compat: Bump to 9.
Checksums-Sha1: 
 a748fbb3cdd7c9c054f7342309d5e0867459ce6d 2713 hyperestraier_1.4.13-5.dsc
 c0e71cc8caedacde74a862eddfa42e0af3d29634 19946 hyperestraier_1.4.13-5.debian.tar.gz
 2265ebdcb3409ee71353f7aff34cd1a024accd39 533494 hyperestraier_1.4.13-5_amd64.deb
 5c706fa207f076a3db25f592bf8577c1842a0dcb 130722 libestraier8_1.4.13-5_amd64.deb
 70c4731a8396461f2cdbe3c57d590f6ed1977f14 170002 libestraier-dev_1.4.13-5_amd64.deb
 a83fd4a1ce7140cd5aebef794cf1549fe0fc26bf 60884 ruby-hyperestraier_1.4.13-5_amd64.deb
 69a2f979662f8725baad44ee2376950ab653b6a7 14030 libestraier-ruby_1.4.13-5_amd64.deb
 cb21c8d8baecee8db7c6978cd550ec27ccc5da52 14038 libestraier-ruby1.8_1.4.13-5_amd64.deb
 721d7c7b0a906a99065dc6ffcade5584c038d70f 14042 libestraier-ruby1.9.1_1.4.13-5_amd64.deb
 cbbb369f1cb7cd9279772453b7813e1f65e9cace 104508 libestraier-java_1.4.13-5_amd64.deb
 502312c1394fb1900fb4960d3197b654d1a7926e 58248 libestraier-perl_1.4.13-5_amd64.deb
 72d983622171d4ff7c832b53f79e6da3b7636eff 59032 ruby-hyperestraier-doc_1.4.13-5_all.deb
 91c6ef1aa9c110e82154d14268ee65ef4678e246 14026 libestraier-ruby-doc_1.4.13-5_all.deb
Checksums-Sha256: 
 e22a68ebe9328924c5212e8c3f973077a622dc57b9d19ce93e4c7add76ec7353 2713 hyperestraier_1.4.13-5.dsc
 d72cb094681a8d1b4c984500f81cc74dbaeaeb494c4bbcf5b401718ca339b954 19946 hyperestraier_1.4.13-5.debian.tar.gz
 2513c9f3c0a0c54efcf281905df6b5bfd9ec2031375c9e7ce3d953c365951262 533494 hyperestraier_1.4.13-5_amd64.deb
 5d8f9fedc52dfb587500c1b9a8eb4fbac7ab62785670908c73735768be980d83 130722 libestraier8_1.4.13-5_amd64.deb
 0bdc82666c94494d70ddc9e28b18aad42bee5da1c3ca364005e1d6a64e6be65f 170002 libestraier-dev_1.4.13-5_amd64.deb
 14bf4df55025a01567c874380733ce018f3649f7b84b64284383e3ca8e57cdee 60884 ruby-hyperestraier_1.4.13-5_amd64.deb
 ebf77c89aec11ef0ba8d104436944369298b85d2efb84477fa4d679a8a59f53b 14030 libestraier-ruby_1.4.13-5_amd64.deb
 d3e3e82389c174abaee8f1d0c2dfb18c788775e77bec03a60b910206ff509a7a 14038 libestraier-ruby1.8_1.4.13-5_amd64.deb
 6ea78d99cbc5b71176f2700d5cd34daeba0bc9a4058e9ce2d296fe94a2168221 14042 libestraier-ruby1.9.1_1.4.13-5_amd64.deb
 6648f39c0f95248b5b42d9298a0d358732ffd6948950eced5b480e23b8d7b4c3 104508 libestraier-java_1.4.13-5_amd64.deb
 7d9c91b5163f2a2a71c8de04352785d05bd59df6b0a62f5df0254ebc62aa926e 58248 libestraier-perl_1.4.13-5_amd64.deb
 d5f2fdd4ce6339e6f2cb446c5c137b2229f7818af04019e41a3e4d0ff0e96023 59032 ruby-hyperestraier-doc_1.4.13-5_all.deb
 6a89085de8f05ad709baa60ef25c85f37467b16c73e5d7533f71c1b431d9e83a 14026 libestraier-ruby-doc_1.4.13-5_all.deb
Files: 
 dad0d79975f7d602da27a2d561af2985 2713 text optional hyperestraier_1.4.13-5.dsc
 56238c1cbf834df86c72197a08c6042f 19946 text optional hyperestraier_1.4.13-5.debian.tar.gz
 71191e4c778fb7e4050fc5149ac29429 533494 text optional hyperestraier_1.4.13-5_amd64.deb
 b59e1336e460e1750a9a65473bbf9338 130722 text optional libestraier8_1.4.13-5_amd64.deb
 936fdd1e4707b35aa232b7d578c1b1ae 170002 libdevel optional libestraier-dev_1.4.13-5_amd64.deb
 d22fec7f842075f4420b67668905687c 60884 ruby optional ruby-hyperestraier_1.4.13-5_amd64.deb
 4f1b0db7728f4f17ca52aee9896e6a2a 14030 oldlibs extra libestraier-ruby_1.4.13-5_amd64.deb
 7b536759995bfc8d4c58a7665777c11d 14038 oldlibs extra libestraier-ruby1.8_1.4.13-5_amd64.deb
 523de27cc847d3285aa5fad177eadc2c 14042 oldlibs extra libestraier-ruby1.9.1_1.4.13-5_amd64.deb
 9cbef8166d5111b1069db507f88f2591 104508 java optional libestraier-java_1.4.13-5_amd64.deb
 8710dd1a17d5e8c3df5f77955ac537c3 58248 perl optional libestraier-perl_1.4.13-5_amd64.deb
 710f4179c2942782da5e0ee048764eb1 59032 doc optional ruby-hyperestraier-doc_1.4.13-5_all.deb
 e19cdb32dcd935a0c08c673f08783497 14026 oldlibs extra libestraier-ruby-doc_1.4.13-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP9ImEAAoJEF0yjQgqqrFA7KYQAJuz+spCOz1ZRZ0FkQJbW5uU
vPD1Sjf2NorC1WYmCGg7KyQB5B7vZJY94wK67L4ogLTisPoKYV7bW7+yg2K3xPCV
o0ZbRzr2BNeeL/htJsWjv2ggAs0kjr3qA2R9O77mhC8hxVc3sSBsb3Bvnkf7gvhR
lsnbtfT/5SHto2RTa3157BeGwmdQk9G/SIM2cdG6/ZfEV0Zn/eGbaRxCWtZZqWtU
Nf15jak2NhbMNiZ1PDjSTgGDj/Z4IlPMEyfsFUfIZNhOKE2HNnmsBZ7itob6Qodi
44bMXDaNZaZjJdu4fmtvcASxkV4LaakPn22mR2SA4VdHOFds4PqGuppuhJIpB8xc
JkEsOv2yEailzeTaLDftbyKy88RijQfCQ5LuuwCCjXQF5dS5VlQ7GfxYog7rOcG+
XfQKi/B+ZCT9h5WzucREUC/N/q3EzNVi03udkZb3tAIcTTZStCziFKNOgG/sUT0l
Q3rNYWz7B0seYsvyPSIBa1Gf4UkC8ZCaO8NC64/yO1KpVP9CDqp5qhBshWSm3prj
hNRih5INL4COi7GRKrtC/XjjbWUK8LK89g0AldDW3+5+uFjSYmah8XtlmtS5eWwT
4cjM32HQ8HzOQZjIwQCT2Q9bjyGj0+moSz8eXRgNz/d9jZ+pcpASwdcyr+9zC298
e54jAlV1VAd3qEuirk3j
=2/8l
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Aug 2012 07:32:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:03:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.